/*
 * MASH -- An audio mixing and sequencing library.
 *
 * Copyright (C) 2001 Commonwealth Scientific and Industrial Research
 * Organisation (CSIRO), Australia.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * mash_channelset: default channel sets.
 *
 * Conrad Parker <Conrad.Parker@CSIRO.AU>, August 2001
 */

#define __MASH__
#include "mash.h"

CDSet * MASH_MONO = MashNone;
CDSet * MASH_STEREO = MashNone;

void
mash_channelset_initialise_defaults (MASH * mash)
{
  if (MASH_MONO == NULL) {
    MASH_MONO = cd_set_new (mash);
    MASH_MONO = cd_set_insert (mash, MASH_MONO, MASH_CHANNEL_LEFT,
			       CD_POINTER(NULL));
  }

  if (MASH_STEREO == NULL) {
    MASH_STEREO = cd_set_new (mash);
    MASH_STEREO = cd_set_insert (mash, MASH_STEREO, MASH_CHANNEL_LEFT,
				 CD_POINTER(NULL));
    MASH_STEREO = cd_set_insert (mash, MASH_STEREO, MASH_CHANNEL_RIGHT,
				 CD_POINTER(NULL));
  }

  return;
}
