/*
 * sndfiletest.c
 *
 * Copyright (C) 2001 Commonwealth Scientific and Industrial Research
 * Organisation (CSIRO), Australia.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or
 * implied warranty.
 *
 */

#include <stdlib.h>
#include <stdio.h>

#include <mash.h>

static void non_exitant_file (void) ;

int
main (int argc, char ** argv)
{
  non_exitant_file () ;

  return 0;
}

static void
non_exitant_file (void)
{
  MASH * mash;
  MashBase * sf1;
  MashPlugin * sf_plugin;
  CDSet * sf_parms;
  int sf_path_key;

  printf ("    Non existant file test ................... ") ;
  fflush (stdout) ;
  
  mash = mash_init ();
  mash_set_tempo (mash, 120);
  mash_set_channels (mash, MASH_STEREO);

  sf_plugin = mash_find_plugin (mash, "builtin::sndfile_reader");
  sf_parms = cd_set_new (mash);
  sf_path_key = mash_get_init_parameter_key (mash, sf_plugin, "path");
  sf_parms = cd_set_insert (mash, sf_parms, sf_path_key,
		            CD_STRING("bad_file_name.wav"));
  if (sf_plugin == NULL) {
    fprintf (stderr, "sf_plugin == NULL\n");
    exit (1);
  }

  sf1 = mash_new (mash, sf_plugin, sf_parms);

  puts ("ok");
}
